# Uses of Class
org.eclipse.equinox.p2.operations.ProvisioningJob

Packages that use ProvisioningJob
Package
Description
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.

## Uses of ProvisioningJob in org.eclipse.equinox.p2.operations

Subclasses of ProvisioningJob in org.eclipse.equinox.p2.operations
Modifier and Type
Class
Description
`class`
`ProfileModificationJob`
A job that modifies a profile according to a specified provisioning plan.
Methods in org.eclipse.equinox.p2.operations that return ProvisioningJob
Modifier and Type
Method
Description
`ProvisioningJob`
ProfileChangeOperation.`getProvisioningJob(IProgressMonitor monitor)`
Return a provisioning job that can be used to perform the resolved operation.
`ProvisioningJob`
RemediationOperation.`getProvisioningJob(IProgressMonitor monitor)`
`final ProvisioningJob`
ProfileChangeOperation.`getResolveJob(IProgressMonitor monitor)`
Return a job that can be used to resolve this operation in the background.

## Uses of ProvisioningJob in org.eclipse.equinox.p2.ui

Subclasses of ProvisioningJob in org.eclipse.equinox.p2.ui
Modifier and Type
Class
Description
`class`
`LoadMetadataRepositoryJob`
A job that loads a set of metadata repositories and caches the loaded repositories.
Methods in org.eclipse.equinox.p2.ui with parameters of type ProvisioningJob
Modifier and Type
Method
Description
`void`
ProvisioningUI.`schedule(ProvisioningJob job, int errorStyle)`
Schedule a job to execute the supplied ProvisioningOperation.